Package org.eclipse.emf.cdo.expressions.impl

# Class ExpressionsFactoryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.emf.cdo.expressions.impl.ExpressionsFactoryImpl

All Implemented Interfaces:
  `ExpressionsFactory`, `Notifier`, `EFactory`, `EModelElement`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `BinaryResourceImpl.DataConverter.Factory`

public class ExpressionsFactoryImpl extends EFactoryImpl implements ExpressionsFactory
An implementation of the model Factory.

Generated

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`EDATE_FORMATS, ePackage`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.cdo.expressions.ExpressionsFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionsFactoryImpl()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`String`
`convertToString(EDataType eDataType, Object instanceValue)`
`EObject`
`create(EClass eClass)`
`BooleanValue`
`createBooleanValue()`
`ByteValue`
`createByteValue()`
`CharValue`
`createCharValue()`
`ContainedObject`
`createContainedObject()`
`ContextAccess`
`createContextAccess()`
`DoubleValue`
`createDoubleValue()`
`FloatValue`
`createFloatValue()`
`Object`
`createFromString(EDataType eDataType, String initialValue)`
`FunctionInvocation`
`createFunctionInvocation()`
`IntValue`
`createIntValue()`
`LinkedExpression`
`createLinkedExpression()`
`LinkedObject`
`createLinkedObject()`
`ListConstruction`
`createListConstruction()`
`LongValue`
`createLongValue()`
`MemberAccess`
`createMemberAccess()`
`MemberInvocation`
`createMemberInvocation()`
`ShortValue`
`createShortValue()`
`StaticAccess`
`createStaticAccess()`
`StringValue`
`createStringValue()`
`ExpressionsPackage`
`getExpressionsPackage()`
`static ExpressionsPackage`
`getPackage()`
Deprecated.
`static ExpressionsFactory`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### ExpressionsFactoryImpl

public ExpressionsFactoryImpl()
Creates an instance of the factory.

Generated

## Method Details

### init

public static ExpressionsFactory init()
Creates the default factory implementation.

Generated

### create

public EObject create(EClass eClass)

Specified by:
  `create` in interface `EFactory`
Overrides:
  `create` in class `EFactoryImpl`
Generated

### createFromString

public Object createFromString(EDataType eDataType, String initialValue)

Specified by:
  `createFromString` in interface `EFactory`
Overrides:
  `createFromString` in class `EFactoryImpl`
Generated

### convertToString

public String convertToString(EDataType eDataType, Object instanceValue)

Specified by:
  `convertToString` in interface `EFactory`
Overrides:
  `convertToString` in class `EFactoryImpl`
Generated

### createBooleanValue

public BooleanValue createBooleanValue()

Specified by:
  `createBooleanValue` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Boolean Value'.
Generated

### createByteValue

public ByteValue createByteValue()

Specified by:
  `createByteValue` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Byte Value'.
Generated

### createShortValue

public ShortValue createShortValue()

Specified by:
  `createShortValue` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Short Value'.
Generated

### createIntValue

public IntValue createIntValue()

Specified by:
  `createIntValue` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Int Value'.
Generated

### createLongValue

public LongValue createLongValue()

Specified by:
  `createLongValue` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Long Value'.
Generated

### createFloatValue

public FloatValue createFloatValue()

Specified by:
  `createFloatValue` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Float Value'.
Generated

### createDoubleValue

public DoubleValue createDoubleValue()

Specified by:
  `createDoubleValue` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Double Value'.
Generated

### createCharValue

public CharValue createCharValue()

Specified by:
  `createCharValue` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Char Value'.
Generated

### createStringValue

public StringValue createStringValue()

Specified by:
  `createStringValue` in interface `ExpressionsFactory`
Returns:
  a new object of class 'String Value'.
Generated

### createFunctionInvocation

public FunctionInvocation createFunctionInvocation()

Specified by:
  `createFunctionInvocation` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Function Invocation'.
Generated

### createMemberInvocation

public MemberInvocation createMemberInvocation()

Specified by:
  `createMemberInvocation` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Member Invocation'.
Generated

### createStaticAccess

public StaticAccess createStaticAccess()

Specified by:
  `createStaticAccess` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Static Access'.
Generated

### createMemberAccess

public MemberAccess createMemberAccess()

Specified by:
  `createMemberAccess` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Member Access'.
Generated

### createContextAccess

public ContextAccess createContextAccess()

Specified by:
  `createContextAccess` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Context Access'.
Generated

### createContainedObject

public ContainedObject createContainedObject()

Specified by:
  `createContainedObject` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Contained Object'.
Generated

### createLinkedObject

public LinkedObject createLinkedObject()

Specified by:
  `createLinkedObject` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Linked Object'.
Generated

### createLinkedExpression

public LinkedExpression createLinkedExpression()

Specified by:
  `createLinkedExpression` in interface `ExpressionsFactory`
Returns:
  a new object of class 'Linked Expression'.
Generated

### createListConstruction

public ListConstruction createListConstruction()

Specified by:
  `createListConstruction` in interface `ExpressionsFactory`
Returns:
  a new object of class 'List Construction'.
Generated

### getExpressionsPackage

public ExpressionsPackage getExpressionsPackage()

Specified by:
  `getExpressionsPackage` in interface `ExpressionsFactory`
Returns:
  the package supported by this factory.
Generated

### getPackage

@Deprecated public static ExpressionsPackage getPackage()
Deprecated.

Generated